Up

# NSString+GNUstepBase documentation

### Authors

Richard Frith-Macdonald (`rfm@gnu.org`)

Copyright: (C) 2003-2010 Free Software Foundation, Inc.

# Software documentation for the NSString(GNUstepBase) category

## NSString(GNUstepBase)

> Declared in:
>   GNUstepBase/NSString+GNUstepBase.h

Availability: Not in OpenStep/MacOS-X
Provides some additional (non-standard) utility methods.
Method summary

- +stringWithFormat:arguments:
- -stringByDeletingPrefix:
- -stringByDeletingSuffix:
- -stringByReplacingString:withString:
- -stringByTrimmingLeadSpaces
- -stringByTrimmingSpaces
- -stringByTrimmingTailSpaces
- -substringFromRange:

### stringWithFormat: arguments:

+ (id) stringWithFormat: (NSString*)format arguments: (va_list)argList;
Availability: Not in OpenStep/MacOS-X
Alternate way to invoke `stringWithFormat` if you have or wish to build an explicit `va_list` structure.

### stringByDeletingPrefix:

- (NSString*) stringByDeletingPrefix: (NSString*)prefix;
Availability: Not in OpenStep/MacOS-X
Returns a string formed by removing the prefix string from the receiver. Raises an exception if the prefix is not present.

### stringByDeletingSuffix:

- (NSString*) stringByDeletingSuffix: (NSString*)suffix;
Availability: Not in OpenStep/MacOS-X
Returns a string formed by removing the suffix string from the receiver. Raises an exception if the suffix is not present.

### stringByReplacingString: withString:

- (NSString*) stringByReplacingString: (NSString*)replace withString: (NSString*)by;
Availability: Not in OpenStep/MacOS-X
Returns a string in which any (and all) occurrences of replace in the receiver have been replaced with by. Returns the receiver if replace does not occur within the receiver. NB. an empty string is not considered to exist within the receiver.

### stringByTrimmingLeadSpaces

- (NSString*) stringByTrimmingLeadSpaces;
Availability: Not in OpenStep/MacOS-X
Returns a string formed by removing leading white space from the receiver.

### stringByTrimmingSpaces

- (NSString*) stringByTrimmingSpaces;
Availability: Not in OpenStep/MacOS-X
Returns a string formed by removing both leading and trailing white space from the receiver.

### stringByTrimmingTailSpaces

- (NSString*) stringByTrimmingTailSpaces;
Availability: Not in OpenStep/MacOS-X
Returns a string formed by removing trailing white space from the receiver.

### substringFromRange:

- (NSString*) substringFromRange: (NSRange)aRange;
Availability: Not in OpenStep/MacOS-X
An obsolete name for -substringWithRange: ... deprecated.

Up